Assignee:    
Description

I know this is intentional, but it does bad things. For example, it destroys any FreeIPA server, by wiping out it's configuration.

Related issues:

Related to Katello - Bug #6950: Not possible to install pulp node on the same... Rejected

Associated revisions

Revision 67804f9b - 07/28/2014 08:25 AM - Stephen Benjamin 

fixes #6491 - fail pulp node installation when freeipa present

If you try to install a pulp node on a machine that has FreeIPA server

installed, we'll wipe out the httpd configuration. This prevents pulp

from being installed in that case.

Revision c84cf8ad - 07/28/2014 09:17 AM - Eric Helms

Merge pull request #1 from stbenjam/6491

fixes #6491 - fail pulp node installation when freeipa present

Revision 5265f95f - 07/31/2014 09:00 AM - Stephen Benjamin 

refs #6698, #6491 update katello common and capsule modules

Revision ca52a4fd - 07/31/2014 11:58 AM - Stephen Benjamin 

Merge pull request #88 from stbenjam/6698

refs #6698, #6491 update katello common and capsule modules

History

#1 - 07/07/2014 04:19 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Category changed from Smart Proxy to Foreman modules

I don't think the foreman_proxy module will touch Apache, only foreman or puppet modules.

#2 - 07/07/2014 04:49 AM - Ewoud Kohl van Wijngaarden

No, only foreman and puppet use the puppetlabs-apache module. foreman_proxy was somewhere on my list to (optionally) support passenger

deployments as well, but never got around to it.

#3 - 07/07/2014 07:40 AM - Stephen Benjamin

- Project changed from Installer to Katello

- Subject changed from Foreman proxy modules wipe out Apache httpd conf.d to Capsule installer wipes out Apache httpd conf.d
- Category deleted (Foreman modules)

- Triaged set to No

Ah, OK, you're right, I forget proxy is WebBrick.

It's in Katello capsule-installer then... maybe the pulp stuff. Needs investigation.

#4 - 07/07/2014 01:22 PM - Eric Helms

- Category set to Foreman Proxy Content

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#5 - 07/28/2014 08:45 AM - Eric Helms

- Target version changed from 49 to 54

#6 - 07/28/2014 08:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/87 added

#7 - 07/31/2014 11:59 AM - Eric Helms

- Bugzilla link set to 1125356

#8 - 08/01/2014 09:28 AM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

Merged in katello-installer as 5265f95f.

#9 - 08/06/2014 04:16 AM - Ivan Necas

- Related to Bug #6950: Not possible to install pulp node on the same system as an ipa server added

#10 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

